Firefox eklentileri can sıkıyor!

CHIP Online
15-11-2008, 18:28   |  #1  
CHIP Online avatarı
OP www.chip.com.tr
Teşekkür Sayısı: 26
36,772 mesaj
Kayıt Tarihi:Kayıt: Oca 2004

Mozilla, Firefox'un güncel sürümlerine bir türlü ayak uyduramayan eklentilerden yana dertli.

Okumak için: https://www.chip.com.tr/konu/Fire ... n-sikiyor_9592.html

Resimlerle: Firefox'un olmazsa olmaz eklentileri

Microsoft'un Internet Explorer'ından sonra dünyanın en popüler ikinci web tarayıcısı olan Mozilla Firefox, her geçen gün popülerliğini biraz daha artırıyor.

Firefox'un yayınlandığı günden bu yana milyonlarca kullanıcıya çok kısa bir sürede ulaşması elbette tesadüf değil. Örneğin birçok kullanıcının Firefox'a geçmesinde Firefox için geliştirilen yüzlerce eklentinin rolü oldukça büyük. Bu eklentiler sayesinde kullanıcılar, Firefox'u kendilerine göre tasarlayarak kişisel bir web tarayıcısına sahip olabiliyorlar.

Ancak Mozilla, Firefox için eklenti geliştiren ve yayınlayan geliştiricilerden yana biraz dertli. Nedeni ise Firefox'un güncelliğine eklentilerin bir türlü zamanında yetişememesi. Şöyle ki, Firefox'un geçtiğimiz günlerde yayınlanan 3.1 beta sürümünden sonra birçok Firefox eklentisi, bu güncelleştirmeye aldırış dahi etmedi ve eski sürümleriyle yola devam ediyorlar. Başka bir deyişle, geliştiriciler 3.1 için henüz harekete geçmiş değil.

Mozilla'nın ölçümlerine göre Firefox'un en son gecelik sürümüyle birlikte güncellenen eklentilerin oranı %20'de kalırken, eklentilerin yaklaşık %60'lık bir kısmı, alpha da dahil olmak üzere, henüz herhangi bir 3.1 sürümü ile uyumlu durumda değil. Yüzde 15'lik bir kısım 3.1 alpha ile, yüzde 5'lik kısım ise beta sürümüyle uyumlu.

Tüm konu: Firefox eklentileri can sıkıyor!

Resimlerle: Firefox'un olmazsa olmaz eklentileri

Kaynak: www.chip.com.tr

Tartışıyoruz: Eklentiler neden Firefox'u bu kadar geriden takip ediyor?

minnoş_97
15-11-2008, 18:55   |  #2  
Yıllanmış Üye
Teşekkür Sayısı: 0
1,115 mesaj
Kayıt Tarihi:Kayıt: Şub 2008

 

e eklenti yapan kişilerde her gün firefoxun yeni bir sürümünün çıktığı için bizim gibi bıktılar.adamlar haklı aslında,şu an  3.0.4 sürümüne eklenti yaptım diyelim,2 gün sonra  3.0.5 çıktığında nolacak?Hadi bakalım yeniden.yine bu iyi,2den 3 e geçilirken adamlar birde yeni altyapıya uyduracaklar eklentiyi dahada zor.

Toxic
15-11-2008, 19:17   |  #3  
Yıllanmış Üye
Teşekkür Sayısı: 0
3,600 mesaj
Kayıt Tarihi:Kayıt: Tem 2008
minnoş_97
e eklenti yapan kişilerde her gün firefoxun yeni bir sürümünün çıktığı için bizim gibi bıktılar.adamlar haklı aslında,şu an  3.0.4 sürümüne eklenti yaptım diyelim,2 gün sonra  3.0.5 çıktığında nolacak?Hadi bakalım yeniden.yine bu iyi,2den 3 e geçilirken adamlar birde yeni altyapıya uyduracaklar eklentiyi dahada zor.
aynen katılıyorumAlkışadamlar sürekli firefox u güncelliyorlar bıktık artık

PsikozY
15-11-2008, 19:56   |  #4  
Üye
Teşekkür Sayısı: 0
90 mesaj
Kayıt Tarihi:Kayıt: Oca 2007

Firefox sürekli güncel olması gereken bi yazılım. Ancak bu şekilde ayakta duruyor.
Şahsen kritik bulduğum tüm eklentiler (No Script, GSpace, Better Search...) hemen hemen her hafta güncelleniyor zaten. Onun dışında beğenilen ve güncellenmeyen eklentiler de eklentiyi üretenlerin ilgilenmemesiyle kaynaklı bir durum.

Firefox da eklentiler kadar nadir güncellenseydi o zaman sıkıntı olurdu asıl, kritik açıklarla ve buglarla dolu bir tarayıcı kullanmak ister miydiniz?

minnoş_97
15-11-2008, 20:17   |  #5  
Yıllanmış Üye
Teşekkür Sayısı: 0
1,115 mesaj
Kayıt Tarihi:Kayıt: Şub 2008

Yav tamam güncellesinler,birşey demiyoruz.ama şu eklenti geliştiricileri haklı.tamam 3.0.3 eklentim var,3.0.4 uyumlu yapmak çok zor olmaz .asıl zor olan firefox 2 ile olan eklentilerin 3e uyumlunması.bu gayet zor bir iş çünkü altyapı farklı.öbür taraftan ise firefox güncellenmesse İE gibi az güncellenen tarayıcılardan farkı kalmaz buda doğru.

Kapalı Hesap (91855)
15-11-2008, 20:24   |  #6  
Kapalı Hesap
Teşekkür Sayısı: 27
2,006 mesaj
Kayıt Tarihi:Kayıt: Eki 2008

size bu problem için bi önerim var
https://addons.mozilla.org/en-US/firefox/addon/6543
bu eklenti eski firefox eklentilerini zorla firefox'un yeni sürümlerinde çalıştırıyor
aslında bu eklentiyi firefox'a dahil etmeleri gerek
nasılsa sonra eklentiyi güncelleriz ve problem ortadan kalkar

Son Düzenleme: Kapalı Hesap (11) ~ 15 Kasım 2008 20:26
minnoş_97
15-11-2008, 20:29   |  #7  
Yıllanmış Üye
Teşekkür Sayısı: 0
1,115 mesaj
Kayıt Tarihi:Kayıt: Şub 2008
Susam
size bu problem için bi önerim var
https://addons.mozilla.org/en-US/firefox/addon/6543
bu eklenti eski firefox eklentilerini zorla firefox'un yeni sürümlerinde çalıştırıyor
aslında bu eklentiyi firefox'a dahil etmeleri gerek
nasılsa sonra eklentiyi güncelleriz ve problem ortadan
çalışırmı acaba bu yaw?

Hiper£l£v£nKids
15-11-2008, 21:31   |  #8  
Yıllanmış Üye
Teşekkür Sayısı: 1
2,311 mesaj
Kayıt Tarihi:Kayıt: Oca 2008
minnoş_97
çalışırmı acaba bu yaw?
100'de yüz çalışıyor daha önce denemiştim.

gelefsane
15-11-2008, 21:44   |  #9  
Yıllanmış Üye
Teşekkür Sayısı: 0
353 mesaj
Kayıt Tarihi:Kayıt: Eyl 2008

saolsun bazı arkadaşlar yine bilip bilmeden konuşmuş.neymiş efendim dakka başı güncelleme yapıyormuş.eee yapsın ne var bunda.asıl olması gereken bu.hacklenmemek veya çökertilmemek istiyorsanız GÜNCELLEME kelimesini aklınıza kazıyın ekranınıza yapıştırın.windowsunuzu antvirüsünüzü ve gerekirse internet tarayıcınız bile güncellemeniz gerekiyor.güncelleme görmemiş bir bilgisayar hackerlerin arayıpta bulamadıkları bir velinimettir.girin hack forumlarına bu konunun önemini kavrayın da ona göre konuşun.sonra yok msnim yok windowsum falanım filanım hacklendi die mızmızlanmayın.ben nerdeyse bukadarını bile az görüyorken...

man on the moon
15-11-2008, 23:34   |  #10  
man on the moon avatarı
Yıllanmış Üye
Teşekkür Sayısı: 2
2,153 mesaj
Kayıt Tarihi:Kayıt: Kas 2006

Asıl sorun artık standart olması gereken birçok özelliğin hala eklentilerle yapılıyor olması.

frozen
16-11-2008, 03:42   |  #11  
frozen avatarı
Yıllanmış Üye
Teşekkür Sayısı: 0
776 mesaj
Kayıt Tarihi:Kayıt: Tem 2008

Doğru bir tesbit e-eyup.

Bunun dışında, arkadaş hiç mi test etmezsin sen yazılımını. Bir güncellemenin ardından 1 hafta içinde yesini çıkarsa burda sorun var demektir. Bu kadar çok açık vermesi pek doğal birşey değil. Tamam hoş sürekli güncel olmalı, anlaşılabilir. Sen pazarda müthiş bir yere sahipsin, daha kaliteli güvenlikçiler bul, açıkları sen yayınlamadan tesbit etsin, sen kapat. Daha stabil bir sürüm sur ortaya, zırt pırt oynamak yersiz.

matrax551
16-11-2008, 10:34   |  #12  
Yıllanmış Üye
Teşekkür Sayısı: 0
801 mesaj
Kayıt Tarihi:Kayıt: Mar 2007
Susam
size bu problem için bi önerim var
https://addons.mozilla.org/en-US/firefox/addon/6543
bu eklenti eski firefox eklentilerini zorla firefox'un yeni sürümlerinde çalıştırıyor
aslında bu eklentiyi firefox'a dahil etmeleri gerek
nasılsa sonra eklentiyi güncelleriz ve problem ortadan
bu eklenti işe yarıyorsa gerisi önemli deil.Onay